View Issue Details

IDProjectCategoryView StatusLast Update
0032545Open CASCADEOCCT:Configurationpublic2021-12-17 18:41
Reporterkgv Assigned Tokgv  
PrioritynormalSeverityfeature 
Status verifiedResolutionfixed 
Target Version7.6.0Fixed in Version7.6.0 
Summary0032545: Configuration, CMake - add BUILD_FORCE_RelWithDebInfo option for generating VS project files with Debug info in Release mode
DescriptionIt is proposed adding BUILD_FORCE_RelWithDebInfo option similar to HAVE_RelWithDebInfo added to genproj by 0028787.
With this flag turned ON, normal Release build would generate PDB files, so that a dedicated RelWithDebInfo target (normally installing into "bini" folder and requiring extra efforts to be used at application side) would be redundant.
Steps To ReproduceN/A
TagsNo tags attached.
Test case numberNot required

Relationships

child of 0028787 closedbugmaster Configuration, genproj - add HAVE_RelWithDebInfo option for generating VS project files with Debug info in Release mode 

Activities

git

2021-08-28 01:42

administrator   ~0103466

Branch CR32545 has been created by kgv.

SHA-1: dcbcc547f410783517004f0de371c298cc78beb2


Detailed log of new commits:

Author: kgv
Date: Sat Aug 28 01:42:10 2021 +0300

    0032545: Configuration, CMake - add BUILD_FORCE_RelWithDebInfo option for generating VS project files with Debug info in Release mode

git

2021-08-28 20:55

administrator   ~0103507

Branch CR32545 has been updated forcibly by kgv.

SHA-1: 7987227875c12091fb0dfa66a48731843943bf37

kgv

2021-08-28 20:57

developer   ~0103509

Patch is ready for review
- OCCT: branch CR32545;
- OCC Products: branch CR32545.

osa

2021-08-31 09:32

developer   ~0103568

The patch was reviewed without remarks

smoskvin

2021-09-04 14:23

administrator   ~0103745

Combination -
OCCT branch : IR-2021-09-03
master SHA - f26ee38f2a309ffbf7de4eebbcef2c5a5c57d84e
a87b7ddc8cb44606b91e3f37113847c3f5f50fdc
Products branch : IR-2021-09-03 SHA - 87cca1a8f3dd94387a936b9d49f5bd719c69cf4d
was compiled on Linux, MacOS and Windows platforms and tested in optimize mode.

Number of compiler warnings:
No new/fixed warnings

Regressions/Differences/Improvements:
No regressions/differences

CPU differences:
Debian80-64:
OCCT
Total CPU difference: 17495.94000000042 / 17441.55000000031 [+0.31%]
Products
Total CPU difference: 11565.440000000113 / 11534.270000000102 [+0.27%]
Windows-64-VC14:
OCCT
Total CPU difference: 19307.140625 / 19200.421875 [+0.56%]
Products
Total CPU difference: 12917.859375 / 12874.53125 [+0.34%]


Image differences :
No differences that require special attention

Memory differences :
No differences that require special attention

git

2021-09-04 15:00

administrator   ~0103799

Branch CR32545 has been deleted by mnt.

SHA-1: 7987227875c12091fb0dfa66a48731843943bf37

Related Changesets

occt: master 19691a22

2021-08-27 22:42:10

kgv


Committer: smoskvin Details Diff
0032545: Configuration, CMake - add BUILD_FORCE_RelWithDebInfo option for generating VS project files with Debug info in Release mode Affected Issues
0032545
mod - adm/cmake/ffmpeg.cmake Diff File
mod - adm/cmake/occt_defs_flags.cmake Diff File
mod - adm/cmake/occt_toolkit.cmake Diff File
mod - adm/cmake/vardescr.cmake Diff File
mod - adm/scripts/cmake_custom.bat.template Diff File
mod - adm/scripts/cmake_gen.bat Diff File
mod - CMakeLists.txt Diff File

occt-products: master 0807e293

2021-08-28 01:53:39

kgv


Committer: smoskvin Details Diff
0032545: Configuration, CMake - add BUILD_FORCE_RelWithDebInfo option for generating VS project files with Debug info in Release mode Affected Issues
0032545
mod - adm/cmake/occt_defs_flags.cmake Diff File
mod - adm/cmake/occt_toolkit.cmake Diff File
mod - adm/scripts/cmake_gen.bat Diff File
mod - CMakeLists.txt Diff File
mod - diff Diff File
mod - diff Diff File

Issue History

Date Modified Username Field Change
2021-08-28 01:41 kgv New Issue
2021-08-28 01:41 kgv Assigned To => kgv
2021-08-28 01:41 kgv Relationship added child of 0028787
2021-08-28 01:42 git Note Added: 0103466
2021-08-28 20:55 git Note Added: 0103507
2021-08-28 20:57 kgv Note Added: 0103509
2021-08-28 20:57 kgv Assigned To kgv => osa
2021-08-28 20:57 kgv Status new => resolved
2021-08-31 09:32 osa Note Added: 0103568
2021-08-31 09:32 osa Assigned To osa => bugmaster
2021-08-31 09:32 osa Status resolved => reviewed
2021-09-04 14:23 smoskvin Note Added: 0103745
2021-09-04 14:23 smoskvin Status reviewed => tested
2021-09-04 14:36 smoskvin Changeset attached => occt master 19691a22
2021-09-04 14:36 smoskvin Assigned To bugmaster => smoskvin
2021-09-04 14:36 smoskvin Status tested => verified
2021-09-04 14:36 smoskvin Resolution open => fixed
2021-09-04 15:00 git Note Added: 0103799
2021-09-04 16:29 smoskvin Test case number => Not required
2021-12-17 18:41 smoskvin Changeset attached => occt-products master 0807e293
2021-12-17 18:41 kgv Assigned To smoskvin => kgv
2021-12-17 18:41 kgv Status closed => verified